### Method

# ECal Component get_summary

since: 3.34

#### Declaration [src]

    ECalComponentText*
    e_cal_component_get_summary (
      ECalComponent* comp
    )

#### Description [src]

Queries the summary of a calendar component object. It returns the first found summary property of the component. To get a summary suitable for a specific locale use e_cal_component_dup_summary_for_locale().

Free the returned pointer withe_cal_component_text_free(), when no longer needed.

Available since: 3.34

#### Return value

Type: `ECalComponentText`

The summary, as an `ECalComponentText`, or `NULL`, when none is set.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.